#version 330

in vec3 position;
in vec2 uv;

uniform mat4 projectionModelView;
uniform mat4 modelMatrix;

out vec3 interpolatedVertexObject;
out vec3 worldPos;
out vec2 fragmentUV;

void main()
{
	fragmentUV = uv;
	
	gl_Position = projectionModelView * vec4(position.x, position.y, position.z, 1.0);
	interpolatedVertexObject = vec3(position.x, position.y, position.z);

	worldPos = vec4(modelMatrix * vec4(position, 1.0)).xyz;
}